## rscheme 0.7.2

=== Makefile ===
SHELL=/bin/sh

TARGET_DIR=src
SRC_DIR=.
MODULES_DIR=$(TARGET_DIR)/install/resource/modules

#
#  can set `RSC_FLAGS=-ccode' to build nearly entire system to C
#  instead of bytecodes
#
RSC_FLAGS=-pragma function-definitions-are-const \
	  -pragma slots-are-sealed

#
#  `RSC_FLAGS2=-ccode' can be used to compile just certain modules to C
#  (ie: corelib lowscm objsys iolib highscm compiler codegen)
#  (by default -- most builds are development builds -- don't even set that)
#
#RSC_FLAGS2=-ccode
RSC_FLAGS2=

RSC=$(TARGET_DIR)/tmp/rsc
RSC_F=$(RSC) $(RSC_FLAGS)

RS=rs

MODULES=$(MODULES_DIR)/primops.mif \
   $(MODULES_DIR)/precore.mif \
   $(MODULES_DIR)/corelib.mif \
   $(MODULES_DIR)/low_sche.mif \
   $(MODULES_DIR)/objsys.mif \
   $(MODULES_DIR)/paths.mif \
   $(MODULES_DIR)/tables.mif \
   $(MODULES_DIR)/mathlib.mif \
   $(MODULES_DIR)/iolib.mif \
   $(MODULES_DIR)/high_sch.mif \
   $(MODULES_DIR)/start.mif \
   $(MODULES_DIR)/sort.mif \
   $(MODULES_DIR)/imageio.mif \
   $(MODULES_DIR)/editinp.mif \
   $(MODULES_DIR)/mlink.mif \
   $(MODULES_DIR)/compiler.mif \
   $(MODULES_DIR)/codegen.mif \
   $(MODULES_DIR)/repl.mif \
   $(MODULES_DIR)/debugger.mif \
   $(MODULES_DIR)/regex.mif \
   $(MODULES_DIR)/hacks.mif \
   $(MODULES_DIR)/threads.mif

base_system::  $(TARGET_DIR) $(TARGET_DIR)/tmp/rsc.img $(MODULES) \
	$(TARGET_DIR)/tmp/system.bas \
	$(TARGET_DIR)/configure

$(TARGET_DIR):
	mkdir $(TARGET_DIR)
	(cd $(SRC_DIR)/handc ; tar -cf - .) | (cd $(TARGET_DIR) ; tar -xf -)
	if test -d $(TARGET_DIR)/tmp ; then : ; \
	else mkdir $(TARGET_DIR)/tmp ; fi
	compiler/mkcfg $(TARGET_DIR) > $(TARGET_DIR)/tmp/buildcfg.scm

$(TARGET_DIR)/tmp/rsc.img:
	RS=$(RS) compiler/mkrsc \
		./compiler \
		$(TARGET_DIR)/tmp \
		$(TARGET_DIR)/tmp \
		$(TARGET_DIR)/install \
		$(TARGET_DIR)/tmp/buildcfg.scm

BCDEFS=$(TARGET_DIR)/install/resource/compiler/bytecode/bcgen.scm


$(MODULES_DIR)/primops.mif $(BCDEFS): $(TARGET_DIR)/tmp/rsc.img
	$(RS) -q -image $(TARGET_DIR)/tmp/rsc.img \
	  -e '(process-defs-file "$(SRC_DIR)/bytcodes/bcdefs.dat")' \
	  -e "(create-primop-module 'primops)" -exit

#
#  linking
#

$(TARGET_DIR)/tmp/system.bas: $(MODULES)
	$(RSC) -o $(TARGET_DIR)/tmp/system.bas

#
#  autoconf
#

$(TARGET_DIR)/configure: $(SRC_DIR)/handc/configure.in
	cd $(TARGET_DIR) ; autoconf

#
#  building in stages...
#
#  `make ship' after a plain make will construct a tree appropriate
#  for distribution packaging such that `make stage1' is required
#  after unpacking on the target machine
#

ship::
	mv src stage0
	cd stage0 ; rm -f tmp/rsc tmp/rsc.img
	cd stage0 ; rm -f install/resource/modules/*
	rm -rf stage0/pkg

distclean::
	rm -rf src
	-cd stage0 ; $(MAKE) clean
	xargs rm -rf < cleanfiles

#
#  this uses the stage0 C code set up by `ship' to build a
#  new src/ directory using an rsc running on top of the 
#  stage0 tree
#

CONFIG_OPTS=

stage1::
	cd stage0 ; ./configure --prefix=`pwd`/install $(CONFIG_OPTS)
	cd stage0 ; make
	mkdir -p stage0/install/bin
	cd stage0 ; make shell
	cd stage0 ; ln -s ../../rshell/rs install/bin/rs
	cd stage0 ; ln -s ../../system.img install/resource/system.img
	$(MAKE) RS=`pwd`/stage0/install/bin/rs RSC_FLAGS2=-ccode \
	    src src/tmp/rsc.img $(MODULES) src/tmp/system.bas
	# avoid the autoconf step ; don't want to depend on it
	cp -p stage0/configure src/configure

#
#  all the modules
#

precore $(MODULES_DIR)/precore.mif: $(BCDEFS)
	$(RSC) -precore $(RSC_FLAGS) modules/corelib/precore.mcf

corelib $(MODULES_DIR)/corelib.mif: $(BCDEFS)
	$(RSC) -corelib $(RSC_FLAGS) $(RSC_FLAGS2) modules/corelib/corelib.mcf

lowscm $(MODULES_DIR)/low_sche.mif: $(BCDEFS)
	$(RSC) -lowscm $(RSC_FLAGS) $(RSC_FLAGS2) modules/lowscm/lowscm.mcf

objsys $(MODULES_DIR)/objsys.mif: $(BCDEFS)
	$(RSC_F) $(RSC_FLAGS2) modules/objsys/objsys.mcf

paths $(MODULES_DIR)/paths.mif: $(BCDEFS)
	$(RSC_F) modules/paths/paths.mcf

tables $(MODULES_DIR)/tables.mif: $(BCDEFS)
	$(RSC_F) modules/tables/tables.mcf

mathlib $(MODULES_DIR)/mathlib.mif: $(BCDEFS)
	$(RSC_F) modules/mathlib/mathlib.mcf

iolib $(MODULES_DIR)/iolib.mif: $(BCDEFS)
	$(RSC_F) $(RSC_FLAGS2) modules/iolib/iolib.mcf

highscm $(MODULES_DIR)/high_sch.mif: $(BCDEFS)
	$(RSC_F) $(RSC_FLAGS2) modules/highscm/highscm.mcf

start $(MODULES_DIR)/start.mif: $(BCDEFS)
	$(RSC_F) modules/start/start.mcf

sort $(MODULES_DIR)/sort.mif: $(BCDEFS)
	$(RSC_F) modules/sort/sort.mcf

imageio $(MODULES_DIR)/imageio.mif: $(BCDEFS)
	$(RSC_F) modules/imageio/imageio.mcf

editinp $(MODULES_DIR)/editinp.mif: $(BCDEFS)
	$(RSC_F) modules/editinp/editinp.mcf

compiler $(MODULES_DIR)/compiler.mif: $(BCDEFS)
	$(RSC_F) $(RSC_FLAGS2) modules/compiler/compiler.mcf

codegen $(MODULES_DIR)/codegen.mif: $(BCDEFS)
	$(RSC_F) $(RSC_FLAGS2) modules/codegen/codegen.mcf

mlink $(MODULES_DIR)/mlink.mif: $(BCDEFS)
	$(RSC_F) modules/mlink/mlink.mcf

repl $(MODULES_DIR)/repl.mif: $(BCDEFS)
	$(RSC_F) modules/repl/repl.mcf

debugger $(MODULES_DIR)/debugger.mif: $(BCDEFS)
	$(RSC_F) modules/debugger/debugger.mcf

regex $(MODULES_DIR)/regex.mif: $(BCDEFS)
	$(RSC_F) modules/regex/regex.mcf

threads $(MODULES_DIR)/threads.mif: $(BCDEFS)
	$(RSC_F) modules/threads/threads.mcf

hacks $(MODULES_DIR)/hacks.mif: $(BCDEFS)
	$(RSC_F) modules/hacks/hacks.mcf

=== handc/bci/Makefile ===
#
# File:    handc/bci/Makefile
#
#          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.2
# Date:    %G% 11:18:45
# Build:   v0.7.2, 97.12.21
#
#


CFILES=bcinterp.c
PRODUCT=bci.o
include ../postambl.mak

bcinterp.o: bcinterp.c bcfrags.ci

=== handc/dfltmain/Makefile ===
#
# File:    handc/dfltmain/Makefile
#
#          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.3
# Date:    %G% 11:18:41
# Build:   v0.7.2, 97.12.21
#
#

CFILES=main.c findimag.c
PRODUCT=dfltmain.o
include ../postambl.mak

=== handc/heapi/Makefile ===
#
# File:    handc/heapi/Makefile
#
#          Copyright (C)1997 Donovan Kolbly <d.kolbly@rosette.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.5
# Date:    %G% 10:47:21
# Build:   v0.7.2, 97.12.21
#

CFILES=loadimag.c savewrit.c savetrav.c saveq.c mapf.c
PRODUCT=heapi.o

include ../postambl.mak

=== handc/lgh/Makefile ===
CFILES=lghmain.c
PRODUCT=lgh.o

all: $(PRODUCT) sys.img
LIB_RS=../install/lib/librs.a

include ../postambl.mak

sys.img:
	rs lgh.scm -exit

learn0:
	$(CC) $(IFLAGS) learn0.c $(LIB_RS) $(LDX) -o learn0

=== handc/loadboot/Makefile ===
#
# File:    handc/loadboot/Makefile
#
#          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.1
# Date:    %G% 00:56:19
# Build:   v0.7.2, 97.12.21
#

CFILES=loadboot.c
PRODUCT=ldboot.o
include ../postambl.mak

=== handc/rshell/Makefile ===
#
# File:    handc/rshell/Makefile
#
#          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.8
# Date:    %G% 15:35:52
# Build:   v0.7.2, 97.12.21
#
#

XCFLAGS='-DINSTALL_DIR="$(INSTALL_DIR)"'

include $(INSTALL_DIR)/resource/buildenv/preamble.mak

CFILES=shell.c
PRODUCT=rs
INSTALL=cp -p

OFILES=$(CFILES:.c=.o)
LIB_RS=$(INSTALL_DIR)/lib/librs.a

$(PRODUCT): $(OFILES) $(LIB_RS)
	$(CC) $(CFLAGS) $(OFILES) -o $(PRODUCT) $(LDX_FLAGS)

install:: $(INSTALL_DIR)/bin
	$(INSTALL) $(PRODUCT) $(INSTALL_DIR)/bin

$(INSTALL_DIR)/bin:
	mkdir $(INSTALL_DIR)/bin

clean::
	rm -f $(OFILES) $(PRODUCT)

depend::
	$(CC) $(CFLAGS) -MM -I. $(CFILES) > depends

=== handc/runtime/Makefile ===
#---------------------------------------------------------*-Makefile-*----#
# File:    handc/runtime/Makefile
#
#          Copyright (C)1997 Donovan Kolbly <d.kolbly@rosette.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.15
# Date:    1997.11.19 22:29:52
# Build:   v0.7.2, 97.12.21
#
# Purpose: Makefile for core-most runtime library material
#-------------------------------------------------------------------------#

CFILES=allocns.c smemory.c regs.c interim.c \
	vinsns.c entry.c _debug.c \
	stakcach.c stack.c linkage.c intrs.c init.c \
	rsmodule.c osglue.c spin.c longint.c finalize.c \
	basemath.c classes.c strings.c function.c dynlink.c \
	dequeue.c timeprof.c fluid.c profile.c applyg.c
PRODUCT=runtime.o
include ../postambl.mak

=== handc/unstub/Makefile ===
#---------------------------------------------------------*-Makefile-*----#
# File:    handc/unstub/Makefile
#
#          Copyright (C)1997 Donovan Kolbly <d.kolbly@rosette.com>
#          as part of the RScheme project, licensed for free use
#
# Version: 1.2
# Date:    1997.11.19 22:29:27
# Build:   v0.7.2, 97.12.21
#
# Purpose: 

CFILES=unstub.c
PRODUCT=unstb.o
include ../postambl.mak

=== packages/ttywin/Makefile ===
include /u/donovan/lib/rs/0.6.0/resource/buildenv/preamble.mak

CFILES=main.c cursesx.c
PRODUCT=rsmail
RSC=/u/TKG/bin/rs -image /u/rscheme/rs-0.6.0/compiler/compiler.img
OFILES=$(CFILES:.c=.o)

all:: $(PRODUCT) curses.img

$(PRODUCT): $(OFILES)
	$(CC) -pg $(OFILES) $(LDX_FLAGS) -o $(PRODUCT) -lrs -lm -lcurses

clean::
	rm -f $(OFILES) $(PRODUCT)

depend::
	$(CC) $(CFLAGS) -MM -I. $(CFILES) > depends

#.. include depends

curses.mif: wfuncs.scm curses.mcf smail.scm viewquery.scm query.scm
	$(RSC) curses.mcf

curses.img: curses.mif
	echo '(load "bld")' | $(RSC)

PKG=curses

install.mif::
	cp $(PKG)/$(PKG).mif $(INSTALL_DIR)/resource/modules
	cp $(PKG)/$(PKG).mx $(INSTALL_DIR)/resource/modules

=== stage0/corelib/Makefile ===
#/********************* Makefile for Module `corelib' *********************/
#
# constructed by rsc for RScheme (v0.7.2, 97.12.21),
# module `corelib'
#
CFILES= corelib1.c keywords.c linkinfo.c intrglue.c imageio.c num2str.c str2num1.c string.c dynstate.c process.c apply.c alloc.c str2num.c
INCFILES=corelib.h
PRODUCT=corelib.o

include ../postambl.mak

=== stage0/editinp/Makefile ===
#/********************* Makefile for Module `editinp' *********************/
#
# constructed by rsc for RScheme (v0.7.2, 97.12.21),
# module `editinp'
#
CFILES= editinp1.c readlin.c
INCFILES=editinp.h
PRODUCT=editinp.o

include ../postambl.mak

## rscheme 0.7.3pre.1.b39

=== Makefile ===
--- 
+++ 
@@ -27,13 +27,13 @@
 MODULES=$(MODULES_DIR)/primops.mif \
    $(MODULES_DIR)/precore.mif \
    $(MODULES_DIR)/corelib.mif \
-   $(MODULES_DIR)/low_sche.mif \
+   $(MODULES_DIR)/low_scheme.mif \
    $(MODULES_DIR)/objsys.mif \
    $(MODULES_DIR)/paths.mif \
+   $(MODULES_DIR)/mathlib.mif \
    $(MODULES_DIR)/tables.mif \
-   $(MODULES_DIR)/mathlib.mif \
    $(MODULES_DIR)/iolib.mif \
-   $(MODULES_DIR)/high_sch.mif \
+   $(MODULES_DIR)/high_scheme.mif \
    $(MODULES_DIR)/start.mif \
    $(MODULES_DIR)/sort.mif \
    $(MODULES_DIR)/imageio.mif \
@@ -56,9 +56,11 @@
 	(cd $(SRC_DIR)/handc ; tar -cf - .) | (cd $(TARGET_DIR) ; tar -xf -)
 	if test -d $(TARGET_DIR)/tmp ; then : ; \
 	else mkdir $(TARGET_DIR)/tmp ; fi
-	compiler/mkcfg $(TARGET_DIR) > $(TARGET_DIR)/tmp/buildcfg.scm
-
-$(TARGET_DIR)/tmp/rsc.img:
+
+$(TARGET_DIR)/tmp/buildcfg.scm:
+	RS=$(RS) compiler/mkcfg $(TARGET_DIR) > $(TARGET_DIR)/tmp/buildcfg.scm
+
+$(TARGET_DIR)/tmp/rsc.img: $(TARGET_DIR)/tmp/buildcfg.scm
 	RS=$(RS) compiler/mkrsc \
 		./compiler \
 		$(TARGET_DIR)/tmp \
@@ -105,6 +107,10 @@
 distclean::
 	rm -rf src
 	-cd stage0 ; $(MAKE) clean
+	-cd packages/lss ; $(MAKE) clean
+	-cd packages/rstore ; $(MAKE) clean
+	-cd packages/general ; $(MAKE) clean
+	-cd packages/threads/shell ; $(MAKE) clean
 	xargs rm -rf < cleanfiles
 
 #
@@ -137,7 +143,7 @@
 corelib $(MODULES_DIR)/corelib.mif: $(BCDEFS)
 	$(RSC) -corelib $(RSC_FLAGS) $(RSC_FLAGS2) modules/corelib/corelib.mcf
 
-lowscm $(MODULES_DIR)/low_sche.mif: $(BCDEFS)
+lowscm $(MODULES_DIR)/low_scheme.mif: $(BCDEFS)
 	$(RSC) -lowscm $(RSC_FLAGS) $(RSC_FLAGS2) modules/lowscm/lowscm.mcf
 
 objsys $(MODULES_DIR)/objsys.mif: $(BCDEFS)
@@ -155,7 +161,7 @@
 iolib $(MODULES_DIR)/iolib.mif: $(BCDEFS)
 	$(RSC_F) $(RSC_FLAGS2) modules/iolib/iolib.mcf
 
-highscm $(MODULES_DIR)/high_sch.mif: $(BCDEFS)
+highscm $(MODULES_DIR)/high_scheme.mif: $(BCDEFS)
 	$(RSC_F) $(RSC_FLAGS2) modules/highscm/highscm.mcf
 
 start $(MODULES_DIR)/start.mif: $(BCDEFS)

=== handc/bci/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.2
 # Date:    %G% 11:18:45
-# Build:   v0.7.2, 97.12.21
+# Build:   v0.7.3.1-b39, 1999-12-25
 #
 #

=== handc/dfltmain/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.3
 # Date:    %G% 11:18:41
-# Build:   v0.7.2, 97.12.21
+# Build:   v0.7.3.1-b39, 1999-12-25
 #
 #

=== handc/heapi/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.5
 # Date:    %G% 10:47:21
-# Build:   v0.7.2, 97.12.21
+# Build:   v0.7.3.1-b39, 1999-12-25
 #
 
 CFILES=loadimag.c savewrit.c savetrav.c saveq.c mapf.c

=== handc/loadboot/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.1
 # Date:    %G% 00:56:19
-# Build:   v0.7.2, 97.12.21
+# Build:   v0.7.3.1-b39, 1999-12-25
 #
 
 CFILES=loadboot.c

=== handc/rshell/Makefile ===
--- 
+++ 
@@ -4,13 +4,14 @@
 #          Copyright (C)1995 Donovan Kolbly <donovan@tkg.com>
 #          as part of the RScheme project, licensed for free use
 #
-# Version: 1.8
-# Date:    %G% 15:35:52
-# Build:   v0.7.2, 97.12.21
+# Version: 1.9
+# Date:    %G% 09:43:41
+# Build:   v0.7.3.1-b39, 1999-12-25
 #
 #
 
-XCFLAGS='-DINSTALL_DIR="$(INSTALL_DIR)"'
+FINAL_INSTALL_DIR=$(INSTALL_DIR)
+XCFLAGS='-DINSTALL_DIR="$(FINAL_INSTALL_DIR)"'
 
 include $(INSTALL_DIR)/resource/buildenv/preamble.mak

=== handc/runtime/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.15
 # Date:    1997.11.19 22:29:52
-# Build:   v0.7.2, 97.12.21
+# Build:   v0.7.3.1-b39, 1999-12-25
 #
 # Purpose: Makefile for core-most runtime library material
 #-------------------------------------------------------------------------#

=== handc/unstub/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.2
 # Date:    1997.11.19 22:29:27
-# Build:   v0.7.2, 97.12.21
+# Build:   v0.7.3.1-b39, 1999-12-25
 #
 # Purpose:

=== stage0/corelib/Makefile ===
#/********************* Makefile for Module `corelib' *********************/
#
# constructed by rsc for RScheme (v0.7.3.1-b39, 1999-12-25),
# module `corelib'
#
CFILES= corelib_l.c basicnum.c rational.c complex.c keywords.c linkinfo.c intrglue.c imageio.c num2str.c str2num1.c string.c dynstate.c process.c apply.c alloc.c str2num.c
INCFILES=corelib.h
PRODUCT=corelib.o

include ../postambl.mak

=== stage0/editinp/Makefile ===
#/********************* Makefile for Module `editinp' *********************/
#
# constructed by rsc for RScheme (v0.7.3.1-b39, 1999-12-25),
# module `editinp'
#
CFILES= editinp_l.c readlin.c
INCFILES=editinp.h
PRODUCT=editinp.o

include ../postambl.mak

=== stage0/imageio/Makefile ===
#/********************* Makefile for Module `imageio' *********************/
#
# constructed by rsc for RScheme (v0.7.3.1-b39, 1999-12-25),
# module `imageio'
#
CFILES= imageio_l.c glue.c imagsav.c refsload.c
INCFILES=imageio.h
PRODUCT=imageio.o

include ../postambl.mak

=== stage0/iolib/Makefile ===
#/********************** Makefile for Module `iolib' **********************/
#
# constructed by rsc for RScheme (v0.7.3.1-b39, 1999-12-25),
# module `iolib'
#
CFILES= iolib_l.c writers.c format.c bstrout.c strout.c stdiox.c escapstr.c op_str.c op_bstr.c parsefmt.c
INCFILES=iolib.h
PRODUCT=iolib.o

include ../postambl.mak

## rscheme 0.7.3.3.b20-1

=== doc/Makefile ===
all: rscheme.tex book1.htm

SGML_FILES=rscheme.sgml decl.sgml rsdoc.dsl
SGML_CAT=${HOME}/lib/text/catalog

rscheme.tex: $(SGML_FILES) deps
	SGML_CATALOG_FILES=$(SGML_CAT) \
	jade -t tex -d rsdoc.dsl#print decl.sgml rscheme.sgml

book1.htm: $(SGML_FILES) deps
	SGML_CATALOG_FILES=$(SGML_CAT) \
	jade -t sgml -ihtml -d rsdoc.dsl#html decl.sgml rscheme.sgml

REZ=400

rscheme.ps: rscheme.dvi
	dvips -D$(REZ) -orscheme.ps rscheme.dvi

rscheme.dvi: rscheme.tex
	jadetex rscheme

clean::
	rm -f rscheme.tex rscheme.dvi rscheme.ps
	rm -f ref.index chaps.index figs.index
	rm -f *.html

deps:: ref.index
deps:: chaps.index
deps:: figs.index

ref.index: ref
	ls ref | grep '\.sgml$$' | sed 's/\.sgml//' \
	 | awk '{ printf("<!entity ref.%s SYSTEM \"ref/%s.sgml\">\n",$$0,$$0); }' > ref.index

chaps.index: chaps
	ls chaps | grep '\.sgml$$' | sed 's/\.sgml//' \
	 | awk '{ printf("<!entity chap.%s SYSTEM \"chaps/%s.sgml\">\n",$$0,$$0); }' > chaps.index

figs.index: figs
	ls figs | grep '\.eps$$' | sed 's/\.eps//' \
	 | awk '{ printf("<!entity fig.%s SYSTEM \"figs/%s.eps\" ndata eps>\n",$$0,$$0); }' > figs.index

depend::
	awk -F\" '{ printf "deps:: %s\n", $$2 }' \
	  chaps.index ref.index figs.index > .depend

-include .depend

=== handc/bci/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.2
 # Date:    %G% 11:18:45
-# Build:   v0.7.3.1-b39, 1999-12-25
+# Build:   v0.7.3.3-b20u, 2004-04-02
 #
 #

=== handc/dfltmain/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.3
 # Date:    %G% 11:18:41
-# Build:   v0.7.3.1-b39, 1999-12-25
+# Build:   v0.7.3.3-b20u, 2004-04-02
 #
 #

=== handc/heapi/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.5
 # Date:    %G% 10:47:21
-# Build:   v0.7.3.1-b39, 1999-12-25
+# Build:   v0.7.3.3-b20u, 2004-04-02
 #
 
 CFILES=loadimag.c savewrit.c savetrav.c saveq.c mapf.c

=== handc/loadboot/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.1
 # Date:    %G% 00:56:19
-# Build:   v0.7.3.1-b39, 1999-12-25
+# Build:   v0.7.3.3-b20u, 2004-04-02
 #
 
 CFILES=loadboot.c

=== handc/rshell/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.9
 # Date:    %G% 09:43:41
-# Build:   v0.7.3.1-b39, 1999-12-25
+# Build:   v0.7.3.3-b20u, 2004-04-02
 #
 #

=== handc/runtime/Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 #          as part of the RScheme project, licensed for free use
 #
 # Version: 1.15
-# Date:    1997.11.19 22:29:52
-# Build:   v0.7.3.1-b39, 1999-12-25
+# Date:    1997-11-19 22:29:52
+# Build:   v0.7.3.3-b20u, 2004-04-02
 #
 # Purpose: Makefile for core-most runtime library material
 #-------------------------------------------------------------------------#

=== handc/unstub/Makefile ===
--- 
+++ 
@@ -5,8 +5,8 @@
 #          as part of the RScheme project, licensed for free use
 #
 # Version: 1.2
-# Date:    1997.11.19 22:29:27
-# Build:   v0.7.3.1-b39, 1999-12-25
+# Date:    1997-11-19 22:29:27
+# Build:   v0.7.3.3-b20u, 2004-04-02
 #
 # Purpose:

=== stage0/corelib/Makefile ===
#/********************* Makefile for Module `corelib' *********************/
#
# constructed by rsc for RScheme (v0.7.3.3-b20u, 2004-04-02),
# module `corelib'
#
CFILES= corelib_l.c basicnum.c rational.c complex.c keywords.c linkinfo.c intrglue.c imageio.c num2str.c str2num1.c string.c dynstate.c process.c alloc.c apply.c str2num.c
INCFILES=corelib.h
PRODUCT=corelib.o

include ../postambl.mak

=== stage0/editinp/Makefile ===
#/********************* Makefile for Module `editinp' *********************/
#
# constructed by rsc for RScheme (v0.7.3.3-b20u, 2004-04-02),
# module `editinp'
#
CFILES= editinp_l.c readlin.c
INCFILES=editinp.h
PRODUCT=editinp.o

include ../postambl.mak

=== stage0/imageio/Makefile ===
#/********************* Makefile for Module `imageio' *********************/
#
# constructed by rsc for RScheme (v0.7.3.3-b20u, 2004-04-02),
# module `imageio'
#
CFILES= imageio_l.c glue.c imagsav.c refsload.c
INCFILES=imageio.h
PRODUCT=imageio.o

include ../postambl.mak

=== stage0/iolib/Makefile ===
#/********************** Makefile for Module `iolib' **********************/
#
# constructed by rsc for RScheme (v0.7.3.3-b20u, 2004-04-02),
# module `iolib'
#
CFILES= iolib_l.c writers.c format.c bstrout.c strout.c stdiox.c escapstr.c op_str.c op_bstr.c parsefmt.c
INCFILES=iolib.h
PRODUCT=iolib.o

include ../postambl.mak

=== debian/changelog ===
rscheme (0.7.3.3.b20-1) unstable; urgency=low

  * New upstream release

 -- Lars Bahner <bahner@debian.org>  Tue, 20 Apr 2004 15:14:02 +0200

rscheme (0.7.3.3.b19-1) unstable; urgency=low

  * New upstream release (closes: #238942)
  * Removed CVS entries in source
  * Added folder "sample" to module-example for those who wish to compile
    sample directly.
  

 -- Lars Bahner <bahner@debian.org>  Tue, 30 Mar 2004 19:20:48 +0200

rscheme (0.7.3.3.b16-1) unstable; urgency=low

  * Lars: New upstream release
  * Ralf: clean target in debian/rules: rm stage0/install/lib/librs.a

 -- Ralf Treinen <treinen@debian.org>  Wed, 14 Jan 2004 07:49:44 +0100

rscheme (0.7.3.3.b15-1) unstable; urgency=low

  * Lars: New upstream release

 -- Ralf Treinen <treinen@debian.org>  Tue,  6 Jan 2004 23:07:37 +0100

rscheme (0.7.3.3.b14-1) unstable; urgency=low

  * New upstream release
  * Rscheme Change Request 445:
    loops incorrectly optimized inside lambda's
    (closes: #58671)
  * Added manual autoconf entry in rules for lss/timebase
  * Corrected typos and man pages. 

 -- Lars Bahner <bahner@debian.org>  Wed, 12 Nov 2003 22:56:30 +0100

rscheme (0.7.3.3.b9-7) unstable; urgency=low

  * Corrected typo in debian/control file
  * Trying ia64, which *might* work (not closing bug).

 -- Lars Bahner <bahner@debian.org>  Thu, 30 Oct 2003 09:32:46 +0100

rscheme (0.7.3.3.b9-6) unstable; urgency=low

  * New maintainer 

 -- Lars Bahner <bahner@debian.org>  Wed, 29 Oct 2003 18:54:37 +0100

rscheme (0.7.3.3.b9-5) unstable; urgency=low

  * Standards-Version 3.6.1.
  * Conflicts: rscheme-modules (closes: Bug#211975).

 -- Ralf Treinen <treinen@debian.org>  Tue, 23 Sep 2003 19:19:30 +0200

rscheme (0.7.3.3.b9-4) unstable; urgency=low

  * Removed the hwregs files (patch 06_powerpc-nohwregs.dpatch - temporary
    patch until the gcc-3.3 bug is fixed) and updated the fasl adresses
    faslsave.c for powerpc (patch 07_powerpc-fasladdr.dpatch). Thanks to
    Donovan Kolby for his help! Closes: Bug#203452.

 -- Ralf Treinen <treinen@debian.org>  Tue,  5 Aug 2003 00:33:44 +0200

rscheme (0.7.3.3.b9-3) unstable; urgency=low

  * Revert upstream's addition of the s390-specific typedefs in config.h.in
    since they don't work (patch 04_s390.dpatch). This should resolve the
    recent s390 autobuilder failure.

 -- Ralf Treinen <treinen@debian.org>  Sun,  3 Aug 2003 23:24:22 +0200

rscheme (0.7.3.3.b9-2) unstable; urgency=low

  * Added build-dependency on autotools-dev since we try to use the
    system-wide installed config.{sub,guess}. Should solve the autobuild
    failures on 0.7.3.3.b9-1.

 -- Ralf Treinen <treinen@debian.org>  Fri,  1 Aug 2003 09:48:13 +0200

rscheme (0.7.3.3.b9-1) unstable; urgency=low

  * New upstream release
  * Converted to the dpatch patch managing system:
    - Build-depends on dpatch
    - debian/rules: include dpatch.make, have the Makefile target depend
      on patch, and the clean target depend on unpatch.
    - create directory debian/patches, and put there the patches.
  * Added build-dependency on cpio.
  * Remove more cruft leftover by "make distclean": auto4mate.cache
    directories, various generated configure files.
  * Standards-Version 3.6.0

 -- Ralf Treinen <treinen@debian.org>  Thu, 31 Jul 2003 20:58:00 +0200

rscheme (0.7.3.3.b4-1) unstable; urgency=low

  * New upstream release
  * Moved debhelper compatibility level from debian/rules to debian/compat
  * Standards-Version: 3.5.9
  * Removed a lot of cruft from packages/lss and packages/rstore, and in
    lesser extend from other directories (these are unused files which are
    no longer in upstream but survived in the debianized source tree
    through the diff.)
  * install target in debian/rules: fixed installation of the lib dir in
    /usr/lib/scheme, as suggested by Joerg F. Wittenberger -thanks.
  * "clean" target in debian/rules: use find to remove leftover
    config.{status,cahche} files, remove generated Makefiles and config.h's
    in package directories.

 -- Ralf Treinen <treinen@debian.org>  Fri,  6 Jun 2003 20:54:06 +0200

rscheme (0.7.3.3.b1-2) unstable; urgency=low

  * Added build-dependancy on autoconf (this should resolve the autobuilder
    failures seen with 0.7.3.3.b1-1).

 -- Ralf Treinen <treinen@debian.org>  Wed, 12 Mar 2003 08:22:08 +0100

rscheme (0.7.3.3.b1-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright, using the modified wording from COPYING.

 -- Ralf Treinen <treinen@debian.org>  Sat,  8 Mar 2003 10:30:36 +0100

rscheme (0.7.3.2.final-1) unstable; urgency=low

  * New upstream release.
  * Applied Donovan Kolby's patch for modules/iolib/pprint.scm (solves 
    problem with compilation of the x11 module)
  * Use libgd2 instead of libgd1. Build-depend on libgd2-noxpm-dev |
    libgd2-xpm-dev (closes: Bug#180219).
  * Standards-Version: 3.5.8.
  * debian/rules, target clean: fixed removal of cruft .o and .a files.
  * packages/rstore/Makefile.in: remove definition of XCFLAGS, otherwise
    gcc comaplains about doubel option -I-.
  * DH_COMPAT=4, build-depend on debhelper >= 4.0
  * debian/clean: remove all config.log files.
  * Use more recent config.sub and config.guess
  * Short description: remove terminal "."

 -- Ralf Treinen <treinen@debian.org>  Wed, 26 Feb 2003 20:28:54 +0100

rscheme (0.7.3.2.b6-10) unstable; urgency=low

  * Changed in stage0/configure.in, in the section where the ARCH variable
    is set, the pattern "alpha-*-*" into "alpha*-*-*". This should resolve
    the build failure with 0.7.3.2.b6-[89] on alpha. Added an instruction
    to print the value of the ARCH variable.

 -- Ralf Treinen <treinen@debian.org>  Sun, 10 Nov 2002 19:47:49 +0100

rscheme (0.7.3.2.b6-9) unstable; urgency=low

  * Applied a patch by Gerhard Tonn <GerhardTonn@onlinehome.de> concerning
    the definition of type INT_64 in the files handc/runtime/basemath.c
    and stage0/runtime/basemath.c for the S390 architecture (thanks!)


=== debian/control ===
Source: rscheme
Section: devel
Priority: optional
Maintainer: Lars Bahner <bahner@debian.org>
Uploaders: Ralf Treinen <treinen@debian.org>
Standards-Version: 3.6.1
Build-depends: debhelper (>= 4.0), libgmp3-dev, libc6-dev, libgd2-noxpm-dev | libgd2-xpm-dev, libpng3-dev, jade, xlibs-dev, zlib1g-dev, docbook-dsssl, autoconf, dpatch, cpio, autotools-dev

Package: rscheme
Conflicts: rscheme-modules
Architecture: i386 hurd-i386 powerpc m68k alpha s390 ia64
Depends: ${shlibs:Depends}
Description: Threaded, persistent, OO, scheme interpreter and compiler
 RScheme is a scheme interpreter and compiler with object extensions,
 threads, a persistent store, an optional real-time garbage collector,
 and many other nifty features.
 .
 RScheme can generate byte compiled modules, or compile directly to C.
 This is quite easy with the current configuration.  See
 /usr/doc/rscheme/module-example for an example.
 .
 More information can be found at the rscheme home page
 http://www.rscheme.org.

=== debian/rules ===
#!/usr/bin/make -f
# 2003-11-12 Lars Bahner <bahner@debian.org>
# debian/rules for rscheme (Ralf Treinen <treinen@debian.org>)

#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

PWD               := $(shell pwd)
TMP_ROOT 	  := $(PWD)/debian/tmproot
INSTALL_ENV       := INSTALL_DIR=${TMP_ROOT} RS_INSTALL_DIR=${TMP_ROOT} RS_MODULE_PATH=${TMP_ROOT}
FINAL_INSTALL_DIR := /usr/lib/rscheme
FINAL_MOD_DIR     := ${FINAL_INSTALL_DIR}/resource/modules
TMP_MOD_DIR       := ${TMP_ROOT}/resource/modules

build: build-stamp 
build-stamp: patch-stamp
	dh_testdir
	$(MAKE) stage1
	(cd src && ./configure\
		--enable-full-numeric-tower\
		--prefix=${FINAL_INSTALL_DIR})
	install -d ${TMP_ROOT}
	(cd src && ${MAKE}\
		LD_LIBRARY_PATH=${TMP_ROOT}/lib/:${LD_LIBRARY_PATH}\
		${INSTALL_ENV} all)
	(cd src && ${MAKE} ${INSTALL_ENV} rsc)
	(cd packages/lss/timebase && autoconf)
	(cd src && ${MAKE} ${INSTALL_ENV} packages)
	(cd src && ${MAKE} ${INSTALL_ENV} PACKAGE=x11 package)
	(if [ "$(DEB_BUILD_ARCH)" != "m68k" ]; then \
		cd src && ${MAKE} ${INSTALL_ENV} fasl_shell; \
	 fi)
	-(cd doc && ${MAKE} book1.htm)
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) distclean
	-(cd doc; $(MAKE) clean)
	find packages \( -name "*.o" -o -name "*.a" \
	 	-o -name "config.log" -o -name "config.status" \
		-o -name "config.cache" \)\
		-exec rm "{}" \;
	-rm stage0/install/lib/librs.a
	find . -name autom4te.cache -exec rm -r "{}" \; -prune
	-rm packages/lss/Makefile packages/lss/config.h \
		packages/lss/timebase/Makefile packages/lss/timebase/config.h \
		packages/lss/timebase/configure \
		packages/lss/configure \
		packages/rstore/Makefile packages/rstore/config.h \
		packages/rstore/configure \
		packages/rstore/old_model/Makefile \
		packages/rstore/lru_model/Makefile \
		packages/lss/glue.scm
	# temporary hack - these should be fixed by upstream !
	-rm .handc.list packages/rstore/pstore1.c packages/lss/ziplist.ci
	rm -rf ${TMP_ROOT}
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# move everything in place
	cp -r ${TMP_ROOT}/include/* debian/rscheme/usr/include
	cp ${TMP_ROOT}/bin/rs debian/rscheme/usr/bin
	cp ${TMP_ROOT}/bin/rsc debian/rscheme/usr/bin
	-cp ${TMP_ROOT}/bin/fshell debian/rscheme/usr/bin
	cp -r ${TMP_ROOT}/lib debian/rscheme/usr/lib/rscheme
	cp -r ${TMP_ROOT}/resource debian/rscheme/usr/lib/rscheme

	# modify the references to the rscheme directory
	sed \
		-e "s|${TMP_ROOT}/bin/|/usr/bin/|" \
		-e "s|${TMP_ROOT}/resource/|${FINAL_INSTALL_DIR}/resource/|" \
		< debian/rscheme/usr/bin/rsc > debian/rscheme/usr/bin/rsc.tmp
	mv debian/rscheme/usr/bin/rsc.tmp debian/rscheme/usr/bin/rsc
	chmod 755 debian/rscheme/usr/bin/rsc

	# doc
	cp doc/*.html debian/rscheme/usr/share/doc/rscheme/html

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installman debian/rs.1 debian/rsc.1 debian/fshell.1
	cp -r debian/module-example debian/rscheme/usr/share/doc/rscheme
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install unpatch

## rscheme 0.7.3.4.b1

=== doc/figs/Makefile ===


EPS_FILES=list1.eps list2.eps list3.eps str1.eps

all:: $(EPS_FILES)

.SUFFIXES: .ofig .strfig .eps

.ofig.eps:
	../tools/ofig2eps $*.ofig


.strfig.eps:
	../tools/strfig2eps -o $*.eps < $*.strfig

clean::
	rm -f $(EPS_FILES)

=== handc/bci/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.2
 # Date:    %G% 11:18:45
-# Build:   v0.7.3.3-b20u, 2004-04-02
+# Build:   v0.7.3.4-b1u, 2005-09-16
 #
 #

=== handc/dfltmain/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.3
 # Date:    %G% 11:18:41
-# Build:   v0.7.3.3-b20u, 2004-04-02
+# Build:   v0.7.3.4-b1u, 2005-09-16
 #
 #

=== handc/heapi/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.5
 # Date:    %G% 10:47:21
-# Build:   v0.7.3.3-b20u, 2004-04-02
+# Build:   v0.7.3.4-b1u, 2005-09-16
 #
 
 CFILES=loadimag.c savewrit.c savetrav.c saveq.c mapf.c

=== handc/loadboot/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.1
 # Date:    %G% 00:56:19
-# Build:   v0.7.3.3-b20u, 2004-04-02
+# Build:   v0.7.3.4-b1u, 2005-09-16
 #
 
 CFILES=loadboot.c

=== handc/rshell/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.9
 # Date:    %G% 09:43:41
-# Build:   v0.7.3.3-b20u, 2004-04-02
+# Build:   v0.7.3.4-b1u, 2005-09-16
 #
 #

=== handc/runtime/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.15
 # Date:    1997-11-19 22:29:52
-# Build:   v0.7.3.3-b20u, 2004-04-02
+# Build:   v0.7.3.4-b1u, 2005-09-16
 #
 # Purpose: Makefile for core-most runtime library material
 #-------------------------------------------------------------------------#

=== handc/unstub/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.2
 # Date:    1997-11-19 22:29:27
-# Build:   v0.7.3.3-b20u, 2004-04-02
+# Build:   v0.7.3.4-b1u, 2005-09-16
 #
 # Purpose:

=== stage0/corelib/Makefile ===
#/********************* Makefile for Module `corelib' *********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b1u, 2005-09-16),
# module `corelib'
#
CFILES= corelib_l.c basicnum.c rational.c complex.c keywords.c linkinfo.c intrglue.c imageio.c num2str.c str2num1.c string.c dynstate.c process.c alloc.c apply.c str2num.c
INCFILES=corelib.h
PRODUCT=corelib.o

include ../postambl.mak

=== stage0/editinp/Makefile ===
#/********************* Makefile for Module `editinp' *********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b1u, 2005-09-16),
# module `editinp'
#
CFILES= editinp_l.c readlin.c
INCFILES=editinp.h
PRODUCT=editinp.o

include ../postambl.mak

=== stage0/imageio/Makefile ===
#/********************* Makefile for Module `imageio' *********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b1u, 2005-09-16),
# module `imageio'
#
CFILES= imageio_l.c glue.c imagsav.c refsload.c
INCFILES=imageio.h
PRODUCT=imageio.o

include ../postambl.mak

=== stage0/iolib/Makefile ===
#/********************** Makefile for Module `iolib' **********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b1u, 2005-09-16),
# module `iolib'
#
CFILES= iolib_l.c writers.c format.c bstrout.c strout.c stdiox.c escapstr.c op_str.c op_bstr.c parsefmt.c
INCFILES=iolib.h
PRODUCT=iolib.o

include ../postambl.mak

## rscheme 0.7.3.4.b3

=== Makefile ===
--- 
+++ 
@@ -25,35 +25,42 @@
 RS=rs
 
 MODULES=$(MODULES_DIR)/primops.mif \
-   $(MODULES_DIR)/precore.mif \
-   $(MODULES_DIR)/corelib.mif \
-   $(MODULES_DIR)/low_scheme.mif \
-   $(MODULES_DIR)/objsys.mif \
-   $(MODULES_DIR)/paths.mif \
-   $(MODULES_DIR)/mathlib.mif \
-   $(MODULES_DIR)/tables.mif \
-   $(MODULES_DIR)/iolib.mif \
-   $(MODULES_DIR)/high_scheme.mif \
-   $(MODULES_DIR)/start.mif \
-   $(MODULES_DIR)/sort.mif \
-   $(MODULES_DIR)/imageio.mif \
-   $(MODULES_DIR)/editinp.mif \
-   $(MODULES_DIR)/mlink.mif \
-   $(MODULES_DIR)/compiler.mif \
-   $(MODULES_DIR)/codegen.mif \
-   $(MODULES_DIR)/repl.mif \
-   $(MODULES_DIR)/debugger.mif \
-   $(MODULES_DIR)/regex.mif \
-   $(MODULES_DIR)/hacks.mif \
-   $(MODULES_DIR)/threads.mif
-
-base_system::  $(TARGET_DIR) $(TARGET_DIR)/tmp/rsc.img $(MODULES) \
-	$(TARGET_DIR)/tmp/system.bas \
-	$(TARGET_DIR)/configure
+	$(MODULES_DIR)/precore.mif \
+	$(MODULES_DIR)/corelib.mif \
+	$(MODULES_DIR)/low_scheme.mif \
+	$(MODULES_DIR)/objsys.mif \
+	$(MODULES_DIR)/paths.mif \
+	$(MODULES_DIR)/mathlib.mif \
+	$(MODULES_DIR)/tables.mif \
+	$(MODULES_DIR)/earley.mif \
+	$(MODULES_DIR)/iolib.mif \
+	$(MODULES_DIR)/high_scheme.mif \
+	$(MODULES_DIR)/start.mif \
+	$(MODULES_DIR)/sort.mif \
+	$(MODULES_DIR)/imageio.mif \
+	$(MODULES_DIR)/editinp.mif \
+	$(MODULES_DIR)/mlink.mif \
+	$(MODULES_DIR)/compiler.mif \
+	$(MODULES_DIR)/codegen.mif \
+	$(MODULES_DIR)/repl.mif \
+	$(MODULES_DIR)/hacks.mif \
+	$(MODULES_DIR)/regex.mif \
+	$(MODULES_DIR)/debugger.mif \
+	$(MODULES_DIR)/threads.mif
+
+base_system::  $(TARGET_DIR) rsc modules base_image configure_script
+
+rsc:: $(TARGET_DIR)/tmp/rsc.img
+modules:: $(MODULES)
+base_image:: $(TARGET_DIR)/tmp/system.bas
+configure_script:: $(TARGET_DIR)/configure
 
 $(TARGET_DIR):
-	mkdir $(TARGET_DIR)
-	(cd $(SRC_DIR)/handc ; tar -cf - .) | (cd $(TARGET_DIR) ; tar -xf -)
+	rm -rf $(TARGET_DIR) ; mkdir $(TARGET_DIR)
+	(cd ${SRC_DIR}/handc ; \
+         find . \! \( -name CVS -prune \) -print) > .handc.list
+	cat .handc.list | (cd ${SRC_DIR}/handc ; cpio -oc) \
+	                | (cd ${TARGET_DIR} ; cpio -idc)
 	if test -d $(TARGET_DIR)/tmp ; then : ; \
 	else mkdir $(TARGET_DIR)/tmp ; fi
 
@@ -105,7 +112,7 @@
 	rm -rf stage0/pkg
 
 distclean::
-	rm -rf src
+	rm -rf src .handc.list
 	-cd stage0 ; $(MAKE) clean
 	-cd packages/lss ; $(MAKE) clean
 	-cd packages/rstore ; $(MAKE) clean
@@ -126,8 +133,8 @@
 	cd stage0 ; make
 	mkdir -p stage0/install/bin
 	cd stage0 ; make shell
-	cd stage0 ; ln -s ../../rshell/rs install/bin/rs
-	cd stage0 ; ln -s ../../system.img install/resource/system.img
+	cd stage0 ; ln -fs ../../rshell/rs install/bin/rs
+	cd stage0 ; ln -fs ../../system.img install/resource/system.img
 	$(MAKE) RS=`pwd`/stage0/install/bin/rs RSC_FLAGS2=-ccode \
 	    src src/tmp/rsc.img $(MODULES) src/tmp/system.bas
 	# avoid the autoconf step ; don't want to depend on it
@@ -194,6 +201,9 @@
 regex $(MODULES_DIR)/regex.mif: $(BCDEFS)
 	$(RSC_F) modules/regex/regex.mcf
 
+earley $(MODULES_DIR)/earley.mif: $(BCDEFS)
+	$(RSC_F) modules/earley/earley.mcf
+
 threads $(MODULES_DIR)/threads.mif: $(BCDEFS)
 	$(RSC_F) modules/threads/threads.mcf

=== doc/Makefile ===
--- 
+++ 
@@ -36,6 +36,10 @@
 	ls chaps | grep '\.sgml$$' | sed 's/\.sgml//' \
 	 | awk '{ printf("<!entity chap.%s SYSTEM \"chaps/%s.sgml\">\n",$$0,$$0); }' > chaps.index
 
+tech.index: tech
+	ls tech | grep '\.sgml$$' | sed 's/\.sgml//' \
+	 | awk '{ printf("<!entity tech.%s SYSTEM \"tech/%s.sgml\">\n",$$0,$$0); }' > tech.index
+
 figs.index: figs
 	ls figs | grep '\.eps$$' | sed 's/\.eps//' \
 	 | awk '{ printf("<!entity fig.%s SYSTEM \"figs/%s.eps\" ndata eps>\n",$$0,$$0); }' > figs.index

=== handc/bci/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.2
 # Date:    %G% 11:18:45
-# Build:   v0.7.3.4-b1u, 2005-09-16
+# Build:   v0.7.3.4-b3u, 2006-04-10
 #
 #

=== handc/dfltmain/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.3
 # Date:    %G% 11:18:41
-# Build:   v0.7.3.4-b1u, 2005-09-16
+# Build:   v0.7.3.4-b3u, 2006-04-10
 #
 #

=== handc/heapi/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.5
 # Date:    %G% 10:47:21
-# Build:   v0.7.3.4-b1u, 2005-09-16
+# Build:   v0.7.3.4-b3u, 2006-04-10
 #
 
 CFILES=loadimag.c savewrit.c savetrav.c saveq.c mapf.c

=== handc/loadboot/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.1
 # Date:    %G% 00:56:19
-# Build:   v0.7.3.4-b1u, 2005-09-16
+# Build:   v0.7.3.4-b3u, 2006-04-10
 #
 
 CFILES=loadboot.c

=== handc/rshell/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.9
 # Date:    %G% 09:43:41
-# Build:   v0.7.3.4-b1u, 2005-09-16
+# Build:   v0.7.3.4-b3u, 2006-04-10
 #
 #

=== handc/runtime/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.15
 # Date:    1997-11-19 22:29:52
-# Build:   v0.7.3.4-b1u, 2005-09-16
+# Build:   v0.7.3.4-b3u, 2006-04-10
 #
 # Purpose: Makefile for core-most runtime library material
 #-------------------------------------------------------------------------#

=== handc/unstub/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #
 # Version: 1.2
 # Date:    1997-11-19 22:29:27
-# Build:   v0.7.3.4-b1u, 2005-09-16
+# Build:   v0.7.3.4-b3u, 2006-04-10
 #
 # Purpose:

=== stage0/corelib/Makefile ===
#/********************* Makefile for Module `corelib' *********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b3u, 2006-04-10),
# module `corelib'
#
CFILES= corelib_l.c basicnum.c rational.c complex.c keywords.c linkinfo.c intrglue.c imageio.c num2str.c str2num1.c string.c dynstate.c process.c alloc.c apply.c str2num.c
INCFILES=corelib.h
PRODUCT=corelib.o

include ../postambl.mak

=== stage0/editinp/Makefile ===
#/********************* Makefile for Module `editinp' *********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b3u, 2006-04-10),
# module `editinp'
#
CFILES= editinp_l.c readlin.c
INCFILES=editinp.h
PRODUCT=editinp.o

include ../postambl.mak

=== stage0/imageio/Makefile ===
#/********************* Makefile for Module `imageio' *********************/
#
# constructed by rsc for RScheme (v0.7.3.4-b3u, 2006-04-10),
# module `imageio'
#
CFILES= imageio_l.c glue.c imagsav.c refsload.c
INCFILES=imageio.h
PRODUCT=imageio.o

include ../postambl.mak
